﻿'' Read or Make STEP-NC Process using VB anf Forms
'' ========================================
''
'' This sample VB code calls the STEP-NC API using the .NET interface.
'' Two functions below show how to create new data or read and
'' traverse existing data sets.
''
'' You can find more examples and other programming documentation at:
''
''      http://www.steptools.com/support/
''

Imports STEPNCLib

Public Class Form1
    Dim apt As AptStepMaker = New AptStepMaker

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
	Dim dlg As OpenFileDialog = New OpenFileDialog
	dlg.Title = "Open STEP File"
	dlg.Filter = "STEP-NC Files (*.stp;*.step;*.p21;*.stnc)|*.stp;*.step;*.p21;*.stpnc|" +
		"STEP Files (*.stp;*.step;*.p21)|*.stp;*.step;*.p21|" +
		"All Files (*.*)|*.*"

	If dlg.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
	    apt.OpenProject(dlg.FileName)
	    GeomView1.LoadSTEPFile(dlg.FileName)

	    Dim wp As System.Int64 = apt.GetCurrentWorkpiece()

	    GeomView1.DisplayMode = STEPNCLib.GeomView.DisplayModeValue.VIEW
	    GeomView1.ViewSingleProduct(wp)
	    GeomView1.ZoomAll()
	End If
    End Sub



End Class
